WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core18
2979
bin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-01-05 10:20:59
-
bash
File
1.06 MB
0755
2022-04-18 15:08:18
bunzip2
File
34.07 KB
0755
2019-07-04 12:35:36
bzcat
File
34.07 KB
0755
2019-07-04 12:35:36
bzcmp
File
2.09 KB
0755
2019-07-04 12:35:36
bzdiff
File
2.09 KB
0755
2019-07-04 12:35:36
bzegrep
File
3.56 KB
0755
2019-07-04 12:35:36
bzexe
File
4.76 KB
0755
2019-07-04 12:35:36
bzfgrep
File
3.56 KB
0755
2019-07-04 12:35:36
bzgrep
File
3.56 KB
0755
2019-07-04 12:35:36
bzip2
File
34.07 KB
0755
2019-07-04 12:35:36
bzip2recover
File
13.99 KB
0755
2019-07-04 12:35:36
bzless
File
1.27 KB
0755
2019-07-04 12:35:36
bzmore
File
1.27 KB
0755
2019-07-04 12:35:36
cat
File
34.24 KB
0755
2018-01-18 09:43:49
chgrp
File
62.18 KB
0755
2018-01-18 09:43:49
chmod
File
58.21 KB
0755
2018-01-18 09:43:49
chown
File
66.18 KB
0755
2018-01-18 09:43:49
cp
File
138.21 KB
0755
2018-01-18 09:43:49
dash
File
118.59 KB
0755
2018-01-25 07:14:33
date
File
98.21 KB
0755
2018-01-18 09:43:49
dd
File
74.22 KB
0755
2018-01-18 09:43:49
df
File
82.79 KB
0755
2018-01-18 09:43:49
dir
File
130.66 KB
0755
2018-01-18 09:43:49
dmesg
File
70.31 KB
0755
2020-09-16 18:43:15
dnsdomainname
File
18.07 KB
0755
2018-01-31 12:08:15
domainname
File
18.07 KB
0755
2018-01-31 12:08:15
echo
File
34.18 KB
0755
2018-01-18 09:43:49
egrep
File
28 B
0755
2019-09-18 15:00:16
false
File
30.18 KB
0755
2018-01-18 09:43:49
fgrep
File
28 B
0755
2019-09-18 15:00:16
findmnt
File
63.27 KB
0755
2020-09-16 18:43:15
grep
File
214.31 KB
0755
2019-09-18 15:00:16
gunzip
File
2.25 KB
0755
2022-04-08 11:12:17
gzexe
File
5.86 KB
0755
2022-04-08 11:12:17
gzip
File
99.18 KB
0755
2022-04-08 11:12:17
hostname
File
18.07 KB
0755
2018-01-31 12:08:15
ip
File
545.12 KB
0755
2021-01-26 13:33:08
journalctl
File
62.09 KB
0755
2024-08-16 14:54:17
kill
File
26.08 KB
0755
2023-10-31 11:35:42
kmod
File
146.18 KB
0755
2020-07-28 14:46:39
less
File
166.76 KB
0755
2024-04-28 11:42:19
lessecho
File
10.02 KB
0755
2024-04-28 11:42:19
lessfile
File
8.36 KB
0755
2024-04-28 11:42:19
lesskey
File
19.39 KB
0755
2024-04-28 11:42:19
lesspipe
File
8.36 KB
0755
2024-04-28 11:42:19
ln
File
66.22 KB
0755
2018-01-18 09:43:49
login
File
51.43 KB
0755
2024-02-06 12:31:54
loginctl
File
50.08 KB
0755
2024-08-16 14:54:17
ls
File
130.66 KB
0755
2018-01-18 09:43:49
lsblk
File
82.08 KB
0755
2020-09-16 18:43:15
lsmod
File
146.18 KB
0755
2020-07-28 14:46:39
mkdir
File
78.18 KB
0755
2018-01-18 09:43:49
mknod
File
66.18 KB
0755
2018-01-18 09:43:49
mktemp
File
42.18 KB
0755
2018-01-18 09:43:49
more
File
38.04 KB
0755
2020-09-16 18:43:15
mount
File
42.08 KB
4755
2020-09-16 18:43:15
mountpoint
File
14.07 KB
0755
2020-09-16 18:43:15
mv
File
134.22 KB
0755
2018-01-18 09:43:49
nc
File
34.48 KB
0755
2018-05-14 12:24:33
nc.openbsd
File
34.48 KB
0755
2018-05-14 12:24:33
netcat
File
34.48 KB
0755
2018-05-14 12:24:33
networkctl
File
42.07 KB
0755
2024-08-16 14:54:17
nisdomainname
File
18.07 KB
0755
2018-01-31 12:08:15
pidof
File
26.38 KB
0755
2020-02-13 18:38:21
ping
File
62.91 KB
4755
2019-06-28 11:05:23
ping4
File
62.91 KB
4755
2019-06-28 11:05:23
ping6
File
62.91 KB
4755
2019-06-28 11:05:23
ps
File
130.3 KB
0755
2023-10-31 11:35:42
pwd
File
34.18 KB
0755
2018-01-18 09:43:49
rbash
File
1.06 MB
0755
2022-04-18 15:08:18
readlink
File
42.18 KB
0755
2018-01-18 09:43:49
rm
File
62.21 KB
0755
2018-01-18 09:43:49
rmdir
File
42.18 KB
0755
2018-01-18 09:43:49
run-parts
File
18.32 KB
0755
2017-12-30 18:15:02
sed
File
106.45 KB
0755
2018-01-30 02:49:51
sh
File
118.59 KB
0755
2018-01-25 07:14:33
sh.distrib
File
118.59 KB
0755
2018-01-25 07:14:33
sleep
File
34.18 KB
0755
2018-01-18 09:43:49
ss
File
136.63 KB
0755
2021-01-26 13:33:08
stty
File
74.21 KB
0755
2018-01-18 09:43:49
su
File
43.62 KB
4755
2024-02-06 12:31:54
sync
File
34.18 KB
0755
2018-01-18 09:43:49
systemctl
File
178.08 KB
0755
2024-08-16 14:54:17
systemd
File
1.55 MB
0755
2023-03-02 12:58:02
systemd-ask-password
File
10.08 KB
0755
2024-08-16 14:54:17
systemd-escape
File
14.06 KB
0755
2024-08-16 14:54:17
systemd-hwdb
File
82.35 KB
0755
2024-08-16 14:54:17
systemd-inhibit
File
14.08 KB
0755
2024-08-16 14:54:17
systemd-machine-id-setup
File
18.06 KB
0755
2024-08-16 14:54:17
systemd-notify
File
14.07 KB
0755
2024-08-16 14:54:17
systemd-sysusers
File
42.07 KB
0755
2024-08-16 14:54:17
systemd-tmpfiles
File
70.07 KB
0755
2024-08-16 14:54:17
systemd-tty-ask-password-agent
File
26.07 KB
0755
2024-08-16 14:54:17
tar
File
413.39 KB
0755
2023-12-05 05:18:12
tempfile
File
9.87 KB
0755
2017-12-30 18:15:02
touch
File
86.21 KB
0755
2018-01-18 09:43:49
true
File
30.18 KB
0755
2018-01-18 09:43:49
udevadm
File
574.4 KB
0755
2024-08-16 14:54:17
umount
File
26.07 KB
4755
2020-09-16 18:43:15
uname
File
34.21 KB
0755
2018-01-18 09:43:49
uncompress
File
2.25 KB
0755
2022-04-08 11:12:17
vdir
File
130.66 KB
0755
2018-01-18 09:43:49
wdctl
File
30.08 KB
0755
2020-09-16 18:43:15
which
File
946 B
0755
2017-12-30 18:15:02
ypdomainname
File
18.07 KB
0755
2018-01-31 12:08:15
zcat
File
1.89 KB
0755
2022-04-08 11:12:17
zcmp
File
1.74 KB
0755
2022-04-08 11:12:17
zdiff
File
5.65 KB
0755
2022-04-08 11:12:17
zegrep
File
140 B
0755
2022-04-08 11:12:17
zfgrep
File
140 B
0755
2022-04-08 11:12:17
zforce
File
2.08 KB
0755
2022-04-08 11:12:17
zgrep
File
6.3 KB
0755
2022-04-08 11:12:17
zless
File
1.99 KB
0755
2022-04-08 11:12:17
zmore
File
1.87 KB
0755
2022-04-08 11:12:17
znew
File
4.95 KB
0755
2022-04-08 11:12:17
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: znew
#!/bin/sh # Copyright (C) 1998, 2002, 2004, 2007, 2010 Free Software Foundation # Copyright (C) 1993 Jean-loup Gailly # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 3 of the License, or # (at your option) any later version. # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # You should have received a copy of the GNU General Public License along # with this program; if not, write to the Free Software Foundation, Inc., # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. bindir='/bin' case $1 in --__bindir) bindir=${2?}; shift; shift;; esac PATH=$bindir:$PATH; export PATH LC_ALL=C export LC_ALL version="znew (gzip) 1.6 Copyright (C) 2010-2013 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law. Written by Jean-loup Gailly." usage="Usage: $0 [OPTION]... [FILE]... Recompress files from .Z (compress) format to .gz (gzip) format. Options: -f Force recompression even if a .gz file already exists. -t Test the new files before deleting originals. -v Verbose; display name and statistics for each file compressed. -9 Use the slowest compression method (optimal compression). -P Use pipes for the conversion to reduce disk space usage. -K Keep a .Z file when it is smaller than the .gz file; implies -t. --help display this help and exit --version output version information and exit Report bugs to <bug-gzip@gnu.org>." check=0 pipe=0 opt= files= keep=0 res=0 old=0 new=0 block=1024 # block is the disk block size (best guess, need not be exact) warn="(does not preserve modes and timestamp)" tmp=${TMPDIR-/tmp}/zfoo.$$ set -C echo hi > $tmp || exit if test -z "`(${CPMOD-cpmod} $tmp $tmp) 2>&1`"; then cpmod=${CPMOD-cpmod} warn="" fi if test -z "$cpmod" && ${TOUCH-touch} -r $tmp $tmp 2>/dev/null; then cpmod="${TOUCH-touch}" cpmodarg="-r" warn="(does not preserve file modes)" fi # check if GZIP env. variable uses -S or --suffix gzip -q $tmp ext=`echo $tmp* | sed "s|$tmp||"` rm -f $tmp* if test -z "$ext"; then echo znew: error determining gzip extension exit 1 fi if test "$ext" = ".Z"; then echo znew: cannot use .Z as gzip extension. exit 1 fi for arg do case "$arg" in --help) exec echo "$usage";; --version) exec echo "$version";; -*) opt="$opt $arg"; shift;; *) break;; esac done if test $# -eq 0; then echo >&2 "$0: invalid number of operands; try \`$0 --help' for help" exit 1 fi opt=`echo "$opt" | sed -e 's/ //g' -e 's/-//g'` case "$opt" in *t*) check=1; opt=`echo "$opt" | sed 's/t//g'` esac case "$opt" in *K*) keep=1; check=1; opt=`echo "$opt" | sed 's/K//g'` esac case "$opt" in *P*) pipe=1; opt=`echo "$opt" | sed 's/P//g'` esac if test -n "$opt"; then opt="-$opt" fi for i do n=`echo $i | sed 's/.Z$//'` if test ! -f "$n.Z" ; then echo $n.Z not found res=1; continue fi test $keep -eq 1 && old=`wc -c < "$n.Z"` if test $pipe -eq 1; then if gzip -d < "$n.Z" | gzip $opt > "$n$ext"; then # Copy file attributes from old file to new one, if possible. test -n "$cpmod" && $cpmod $cpmodarg "$n.Z" "$n$ext" 2> /dev/null else echo error while recompressing $n.Z res=1; continue fi else if test $check -eq 1; then if cp -p "$n.Z" "$n.$$" 2> /dev/null || cp "$n.Z" "$n.$$"; then : else echo cannot backup "$n.Z" res=1; continue fi fi if gzip -d "$n.Z"; then : else test $check -eq 1 && mv "$n.$$" "$n.Z" echo error while uncompressing $n.Z res=1; continue fi if gzip $opt "$n"; then : else if test $check -eq 1; then mv "$n.$$" "$n.Z" && rm -f "$n" echo error while recompressing $n else # compress $n (might be dangerous if disk full) echo error while recompressing $n, left uncompressed fi res=1; continue fi fi test $keep -eq 1 && new=`wc -c < "$n$ext"` if test $keep -eq 1 && test `expr \( $old + $block - 1 \) / $block` -lt \ `expr \( $new + $block - 1 \) / $block`; then if test $pipe -eq 1; then rm -f "$n$ext" else mv "$n.$$" "$n.Z" && rm -f "$n$ext" fi echo "$n.Z smaller than $n$ext -- unchanged" elif test $check -eq 1; then if gzip -t "$n$ext" ; then rm -f "$n.$$" "$n.Z" else test $pipe -eq 0 && mv "$n.$$" "$n.Z" rm -f "$n$ext" echo error while testing $n$ext, $n.Z unchanged res=1; continue fi elif test $pipe -eq 1; then rm -f "$n.Z" fi done exit $res
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED